
/*------------------------------------------------------------------
| file name -- mfg_data.h
|-----------------------------------------------------------------*/

#define MAX_APP_VARS 49

/* Array Delimeters */
#define NUM_STAMPERS	3
#define NUM_WELDERS	2
#define NUM_OVENS	1

/* Model Flags */
#define UP              	1
#define DOWN            	0
#define ON              	1
#define OFF             	0
#define AUTO            	10
#define MANUAL          	0
#define LOWER_TEMP      	250
#define UPPER_TEMP      	500
#define STAMPING_UPDATE_TIME	 2
#define CYCLE_LENGTH		2
#define WELDING_STEP		4
#define WELD_TEMP_MIN		150
#define WELD_TEMP_MAX		200
#define NUM_OF_STEPS		6
#define MAX_OVEN_TEMP		600
#define CAUTION_OVEN_TEMP 	350
#define ALARM_OVEN_TEMP 	450
#define OVEN_BLINK_RATE		1 
#define OVEN_FACTOR		200		/* the BIGGER the # the 
						smaller the temp change */

/* MISC MACROS */
#define TIME  (time(0) - 620000000)

/* STAMPING AREA */
extern FLOAT 
  stamping_on[],
  stamping_auto[],
  stamping_up[],
  stamping_temp[],
  stamping_pressure[],
  accum_pcs,
  total_pcs;

extern CHAR 
  stamping_status[NUM_STAMPERS][20];

extern FLOAT 
  welding_unit_id[],
  welding_on[],
  welding_temp[],
  welding_curr[],
  welding_green_on[],
  welding_yellow_on[],
  welding_red_on[],
  welding_cycle[];

extern CHAR  
  welding_status[NUM_WELDERS][20],
  welding_pgm[NUM_WELDERS][20],
  welding_pcs_status[NUM_WELDERS][20];

/* PAINT SHOP AREA */
extern FLOAT 
  paint_color,
  oven_temp[],
  oven_prev_temp[],
  oven_auto[],
  oven_output[],
  oven_set[],
  oven_blink[],
  oven_ack[];
